import Monaco = require("monaco-editor/esm/vs/editor/editor.api");
import { Language } from "./language";
export * from "./theme";
export * from "./language";
export * from "./highlighter";
export * from "./highlight";
export declare class MonacoTreeSitter {
    readonly editor: Monaco.editor.IStandaloneCodeEditor;
    private language;
    private tree;
    private monacoDecorationKeys;
    constructor(editor: Monaco.editor.IStandaloneCodeEditor, language: Language);
    private onEditorContentChange;
    private buildHighlight;
    private buildHighlightDebounced;
    changeLanguage(language: Language): void;
    refresh(): void;
}
